﻿.message-alert
{
    float: right;
    display: inline;
    margin: 3px 5px 10px 0;
    width: 5px;
    height: 5px;
    background: #ee7147;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;

}



.utilitiyLinks {
    display: inline;
    text-align: right;
    width: 60%;
}

.utilitiyLinks ul {
    padding: 5px 0 20px;
    text-align: right;
    width: 100%;
}

.utilitiyLinks ul li {
    color: #FFF;
    display: inline-block;
    font-size: 1.4em;
    vertical-align: top;
    width: auto;
}

.utilitiyLinks ul li.user {
    background: url("/Content/cssimages/template/utility-nav.gif") right 5px no-repeat;
    padding-right: 10px;
}

.utilitiyLinks ul li a {
    background: url("/Content/cssimages/template/utility-nav.gif") right 5px no-repeat;
    color: #FFF;
    padding: 0 10px 5px 5px;
    text-decoration: none;
    vertical-align: top;
    zoom: 1;
}

.utilitiyLinks ul li.last a {
    background: none;
    padding-right: 0;
    text-decoration: none;
}

.utilitiyLinks ul li a:active, .utilitiyLinks ul li a:hover { text-decoration: underline; }


/* ------------------ ( Main Navigation ) ------------------ */

#menu-toggle-wrap { float: right;display: inline;}

#navigation
{
    float: right;
    display: inline;
}

#menu-toggle
{
    display: none;
    float: right;
    display: inline;
}

/* HEADER > MENU */
#main-menu
{
    float: right;
    margin: 10px 0 0;
}

    #main-menu > li
    {
        display: inline-block;
        padding: 2px 0;
        min-width: 100px;
    }

        #main-menu > li > a
        {
            color: #eee;
            font-size: 1.3em;
            line-height: 14px;
            padding: 0 30px 13px 0;
            text-decoration: none;
            text-align: right;
            width: 100%;
            display: block;
            background: url("css-images/main-menu/menu-arrow.png") right 3px no-repeat;
        }

    /* HEADER > MENU > DROPDOWN */
    #main-menu li
    {
        position: relative;
    }

ul.sub-menu
{ /* level 2 */
    display: none;
    right: 0;
    top: 30px;
    padding-top: 0;
    position: absolute;
    min-width: 215px;
    z-index: 9999;
    background: #FFF;
    border-top: 12px solid #2f3439;
    -webkit-border-bottom-right-radius: 3px;
    -webkit-border-bottom-left-radius: 3px;
    -moz-border-radius-bottomright: 3px;
    -moz-border-radius-bottomleft: 3px;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
}

    ul.sub-menu > li > a
    {
        background-color: #FFF;
        background-repeat: no-repeat;
        border-top: none;
        color: #2b2b2b;
        display: block;
        font-size: 12px;
        line-height: 15px;
        padding: 10px 12px 10px 40px;
        text-decoration: none;
        text-align: left;
    }

        ul.sub-menu > li > a .link-desc
        {
            width: 100%;
        }

            ul.sub-menu > li > a .link-desc span.message-desc
            {
                float: left;
                display: inline;
                padding: 5px 0;
            }

            ul.sub-menu > li > a .link-desc span.message-total
            {
                float: right;
                display: inline;
                padding: 5px 10px;
                background: #C0C2C6;
                color: #FFF;
                -webkit-border-radius: 3px;
                -moz-border-radius: 3px;
                border-radius: 3px;
                font-size: 1em;
            }

        ul.sub-menu > li > a:hover
        {
            background-color: #dadbdc;
            color: #349D8B;
        }

    ul.sub-menu > li.sub-menu-log-off > a
    {
        background-image: url("css-images/main-menu/logo-out.png");
        background-position: 10px 7px;
    }


    ul.sub-menu > li.sub-menu-messages > a
    {
        background-image: url("css-images/main-menu/messages.png");
        background-position: 10px 10px;
        padding: 5px 12px 5px 40px;
    }

    ul.sub-menu > li.sub-menu-messages.active > a
    {
        background-image: url("css-images/main-menu/messages-active.png");
    }

    ul.sub-menu > li.sub-menu-messages.active a .link-desc span.message-total
    {
        background-color: #349D8B;
    }

    ul.sub-menu > li.sub-menu-alerts > a
    {
        background-image: url("css-images/main-menu/alerts.png");
        background-position: 10px 7px;
        padding: 5px 12px 5px 40px;
    }

    ul.sub-menu > li.sub-menu-alerts.active > a
    {
        background-image: url("css-images/main-menu/alerts-active.png");
    }

    ul.sub-menu > li.sub-menu-alerts.active a .link-desc span.message-total
    {
        background-color: #349D8B;
    }

    ul.sub-menu > li.sub-menu-admin > a
    {
        background-image: url("css-images/main-menu/admin.png");
        background-position: 10px 7px;
    }

    ul.sub-menu > li.sub-menu-profile > a
    {
        background-image: url("css-images/main-menu/profile.png");
        background-position: 10px 7px;
    }


#main-menu li:hover > ul.sub-menu
{
    display: block; /* show the submenu */
}


@media all and (max-width: 700px)
{

    #menu-toggle-wrap { position: relative; width: 40px;height: 40px;}
    #menu-toggle-wrap #menu-toggle
    {
        display: block;
        width: 40px;
        height: 40px;
        background: url("css-images/common/main-nav-menu.png") left top no-repeat;
        margin-left: 10px;
        position: absolute;
        right: 0;
        top: 0;
    }




    #main-menu
{

    margin: 0;
}

   

    #main-menu
    {
        display: none;
        float: none;
        display: none;
        position: absolute;
        top: 51px;
        right: 0;
        z-index: 10;
    }

        #main-menu li
        {
            display: block;
            margin: 0;
            padding: 0;
        }

        #main-menu > li > a
        {
            display: block;
            font-size: 14px;
            padding: 12px;
            background: #FFF;
            color: #2b2b2b;
            text-align: center;
        }

        #main-menu li > a:hover
        {
            background-color: #dadbdc;
            color: #349D8B;
        }



    ul.sub-menu
    {
        display: block;
        position: static;
        padding: 0;
        width: inherit;
        border-top: 0;
    }
}
